#include <bits/stdc++.h>
using namespace std;
int main() {
    unsigned long long a=2;
    for(int i=2;i<=64;i++) {
        a*=2;
        cout << a << endl;
    }
    cout << pow(2,64);
    return 0;
}